summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2004-06-11 00:33:43 +0000
committerLennart Poettering <lennart@poettering.net>2004-06-11 00:33:43 +0000
commit9e3ad2380a28a7473a1dfa9ae41697ebacfd85cc (patch)
tree574c177004f4acec6f10ac6460e803e2e7a60b0a /bootstrap.sh
parenta5daff7859c3a8904cb379c59f3cefbaae4f57f2 (diff)
autoconf
git-svn-id: file:///home/lennart/svn/public/pulseaudio/trunk@5 fefdeb5f-60dc-0310-8127-8f9354f1896f
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 00000000..f26ceb15
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+# $Id$
+
+# This file is part of polypaudio.
+#
+# polypaudio is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# polypaudio is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with polypaudio; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+if [ "x$1" = "xam" ] ; then
+ set -ex
+ automake -a -c --foreign
+ ./config.status
+else
+ set -ex
+
+ rm -rf autom4te.cache
+ rm -f config.cache
+
+ aclocal
+ libtoolize -c --force
+ autoheader
+ automake -a -c
+ autoconf -Wall
+
+ ./configure --sysconfdir=/etc "$@"
+
+ make clean
+fi